import './modal.js';
import './tiptap-editor.js';
import { initTiptap } from './tiptap-editor'

document.addEventListener('DOMContentLoaded', () => {
    document.querySelectorAll('.tiptap-wrapper').forEach(wrapper => {
        initTiptap({
            elementId: wrapper.dataset.elementId,
            inputId: wrapper.dataset.inputId,
            placeholder: JSON.parse(wrapper.dataset.placeholder),
            content: JSON.parse(wrapper.dataset.content),
            prefix: wrapper.dataset.prefix
        })
    })
})